Skip to main content
Version: 26.01

Performance Monitoring - Edit Trace Threshold

Endpoint​

/i/apm/edit

Overview​

Sets the threshold of a network or device trace.

Authentication​

Pass api_key or auth_token as a query parameter, or send countly-token as a header. See Authentication.

Permissions​

Requires performance_monitoring Update permission.

Request Parameters​

ParameterTypeRequiredDescription
app_idStringYesApplication ID.
idStringYesTrace ID, as returned by the Performance Monitoring read endpoints.
typeStringYesTrace type: network or device.
thresholdNumberYesNew threshold value. Must be a number greater than or equal to 0.
api_keyStringConditionalRequired if auth_token is not provided.
auth_tokenStringConditionalRequired if api_key is not provided.

Examples​

Set a threshold on a network trace​

/i/apm/edit?
app_id=6991c75b024cb89cdc04efd2&
api_key=YOUR_API_KEY&
id=TRACE_ID&
type=network&
threshold=500

Response​

Success Response​

{
"result": "Issue updated"
}

Response Fields​

FieldTypeDescription
resultStringConfirmation message.

Error Responses​

  • 400
{
"result": "Unacceptable trace type"
}
  • 400
{
"result": "APM id not provided"
}
  • 400
{
"result": "Threshold should be a number greater than equal to 0"
}
  • 400
{
"result": "Issue not updated"
}

Behavior​

Impact on Other Data​

  • Updates the threshold of the trace in countly.apm.
  • Writes an audit event to system logs.